ONLINE(8)

NAME
online, offline - bring processors online and offline

SYNOPSIS
/etc/online -N

/etc/online -S

/etc/online [ -a ] [ -v ] [ processor-number ... ]

/etc/offline [ -a ] [ -v ] [ processor-number ... ]

DESCRIPTION
Online initializes the given processors and begins scheduling user processes. Processors are numbered consecutively upward from zero.

Offline removes the given processors from the pool of processors available for work. One processor is always left online.

Both online and offline display which processors are on and off line.

Only the superuser can take processors on or off line.

OPTIONS

  Online Options

- N Print the number of processors currently online. Useful in shell scripts.

- S Display a list of processors currently online. Useful in shell scripts.

- a Bring all processors online.

  Offline Options

- a Bring all processors but one offline.

  Online and Offline Options

-v  Display any resulting changes in state (on- or offline).

SEE ALSO
halt(8), reboot(8), shutdown(8), tmp_ctl(2), tmp_affinity(2)